Ticket #42111

Nation translation_domain "freeciv-core"

Eröffnet am: 2021-04-29 09:43 Letztes Update: 2021-12-01 13:38

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
6

Details

When translation domain "freeciv" was renamed as "freeciv-core", nation rulesets, or related code in ruleset.c, was not updated.

By luck, it's not really broken, and thus I'm not targeting fix to S3_0 (that is already d3f). Though the nation ruleset files set the nonexistent domain "freeciv", that's also what ruleset.c checks for the default to be, and then does the right thing.

For later branches we should change the domain name in nation ruleset files to match the actual domain name, i.e., "freeciv-core".

As part of #43200, this has also been posted to http://forum.freeciv.org/f/viewtopic.php?f=14&t=92040

Ticket-Verlauf (3/15 Historien)

2021-04-29 09:43 Aktualisiert von: cazfi
  • New Ticket "Nation translation_domain "freeciv-core"" created
2021-11-10 10:17 Aktualisiert von: cazfi
  • Details Updated
2021-11-15 13:22 Aktualisiert von: cazfi
  • Details Updated
2021-11-15 13:50 Aktualisiert von: cazfi
Kommentar

New patch versions handle also those rulesets that have their own nations included, instead of using default nations from data/nations/

2021-11-15 13:50 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
2021-11-21 08:13 Aktualisiert von: cazfi
  • Lösung Update from Accepted to Keine
Kommentar

civ1 ruleset does not load with this.

2021-11-21 16:00 Aktualisiert von: cazfi
  • Lösung Update from Keine to Accepted
Kommentar

New version fixes civ1 ruleset

2021-11-23 01:19 Aktualisiert von: cazfi
Kommentar

At the same time this goes in, master needs another commit updating S3_1 commit hash to make the ruleup tests from. That commit cannot be prepared in advance, as the hash will be known only when S3_1 change has been pushed.

2021-12-01 13:38 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Accepted to Gefixt

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden